Index: extensions/app_diameap/README
===================================================================
--- extensions/app_diameap/README	(revision 441)
+++ extensions/app_diameap/README	(revision 449)
@@ -41,5 +41,7 @@
 	See freeDiameter documentation (http://www.freediameter.net/)
 
-2- Edit the extensions/CMakeList.txt file to add DiamEAP to freeDiameter.
+2-Create a new MySQL database and add tables using the sql script 'diameap.sql'.
+
+3- Edit the extensions/CMakeList.txt file to add DiamEAP to freeDiameter.
 
 Add the following lines:
@@ -52,7 +54,7 @@
 Note: you can enable DiamEAP to be built with freeDiameter by setting the BUILD_APP_DIAMEAP to ON. If you enable it here you don't need to enable it when building freeDiameter.
 
-3- Enable DiamEAP by enabling BUILD_DIAMEAP option with CMake:
+4- Enable DiamEAP by enabling BUILD_APP_DIAMEAP option with CMake:
 
-cmake -DBUILD_DIAMEAP:BOOl=ON ../
+cmake -DBUILD_APP_DIAMEAP:BOOl=ON ../
 
 
Index: extensions/app_diameap/diameap.sql
===================================================================
--- extensions/app_diameap/diameap.sql	(revision 425)
+++ extensions/app_diameap/diameap.sql	(revision 449)
@@ -6,17 +6,14 @@
 #  									#
 #									#
-# MySQL command to load the scrip:					#
+# MySQL command to load the script:					#
 #    mysql> mysql -u username -p password diameap_ui <	diameap.sql	#
 #									#
 #########################################################################
 
-CREATE TABLE IF NOT EXISTS `authz` (
-  `id` int(11) NOT NULL AUTO_INCREMENT,
-  `grp` int(11) NOT NULL,
-  `attribute` set('Service-Type','Callback-Number','Callback-Id','Idle-Timeout','Port-Limit','NAS-Filter-Rule','Filter-Id','Configuration-Token','QoS-Filter-Rule','Framed-Protocol','Framed-Routing','Framed-MTU','Framed-Compression','Framed-IP-Address','Framed-IP-Netmask','Framed-Route','Framed-Pool','Framed-Interface-Id','Framed-IPv6-Prefix','Framed-IPv6-Pool','Framed-IPv6-Route','Framed-IPX-Network','Framed-Appletalk-Link','Framed-Appletalk-Network','Framed-Appletalk-Zone') Not NULL DEFAULT 'Service-Type',
-  `op` set('==','>','>=','<','<=','!=','~=','=+','+==','+>','+>=','+<','+<=','+!=','+~=','==+','>+','>=+','<+','<=+','!=+') NOT NULL DEFAULT '==',
-  `value` char(255) NOT NULL,
-  PRIMARY KEY (`id`)
-);
+-- --------------------------------------------------------
+
+--
+-- Table structure for table `authe`
+--
 
 CREATE TABLE IF NOT EXISTS `authe` (
@@ -28,4 +25,25 @@
 );
 
+-- --------------------------------------------------------
+
+--
+-- Table structure for table `authz`
+--
+
+CREATE TABLE IF NOT EXISTS `authz` (
+  `id` int(11) NOT NULL AUTO_INCREMENT,
+  `grp` int(11) NOT NULL,
+  `attribute` set('NAS-IPv6-Address','NAS-Identifier','NAS-IP-Address','NAS-Port','NAS-Port-Id','NAS-Port-Type','Called-Station-Id','Calling-Station-Id','Connect-Info','Originating-Line-Info','Service-Type','Callback-Number','Callback-Id','Idle-Timeout','Port-Limit','NAS-Filter-Rule','Filter-Id','Configuration-Token','QoS-Filter-Rule','Framed-Protocol','Framed-Routing','Framed-MTU','Framed-Compression','Framed-IP-Address','Framed-IP-Netmask','Framed-Route','Framed-Pool','Framed-Interface-Id','Framed-IPv6-Prefix','Framed-IPv6-Pool','Framed-IPv6-Route','Framed-IPX-Network','Framed-Appletalk-Link','Framed-Appletalk-Network','Framed-Appletalk-Zone') NOT NULL DEFAULT 'Service-Type',
+  `op` set('==','>','>=','<','<=','!=','~=','=+','+==','+>','+>=','+<','+<=','+!=','+~=','==+','>+','>=+','<+','<=+','!=+') NOT NULL DEFAULT '==',
+  `value` char(255) NOT NULL,
+  PRIMARY KEY (`id`)
+);
+
+-- --------------------------------------------------------
+
+--
+-- Table structure for table `grp`
+--
+
 CREATE TABLE IF NOT EXISTS `grp` (
   `id` int(11) NOT NULL AUTO_INCREMENT,
@@ -34,4 +52,10 @@
   PRIMARY KEY (`id`)
 );
+
+-- --------------------------------------------------------
+
+--
+-- Table structure for table `users`
+--
 
 CREATE TABLE IF NOT EXISTS `users` (
@@ -45,4 +69,10 @@
 );
 
+-- --------------------------------------------------------
+
+--
+-- Table structure for table `user_grp`
+--
+
 CREATE TABLE IF NOT EXISTS `user_grp` (
   `id` int(11) NOT NULL AUTO_INCREMENT,
